<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\CronController;
use App\Http\Controllers\CronV2Controller;
use App\Http\Controllers\TestsController;
use App\Http\Controllers\Api\TG\HookController;

//Route::get('/', [ArticleListController::class, 'fn'])->middleware('test');
                                            
Route::get('/cron', [CronController::class, 'index']);
Route::get('/cronv2', [CronV2Controller::class, 'index']);

Route::get('/test/hello', [TestsController::class, 'hello']);

Route::get('/test/hook', [TestsController::class, 'hook']);

//Route::post('/api/tg/hook', [HookController::class, 'cmd']);

//Route::middleware('api')->group(function () {
                                
Route::post('/api/tg/hook', [HookController::class, 'cmd']);
    
//});
